<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Painting Company
 */
?>
<div id="footer">
  <?php 
    $painting_company_footer_widget_enabled = get_theme_mod('painting_company_footer_widget', true);
    
    if ($painting_company_footer_widget_enabled !== false && $painting_company_footer_widget_enabled !== '') { ?>

        <div class="footer-widget">
          <div class="container">
          <div class="row">
            <!-- Footer 1 -->
            <div class="<?php echo is_active_sidebar('footer-1') ? 'col-lg-3 col-md-6 col-12' : 'col-lg-3 col-md-6 col-12'; ?> footer-block">
              <?php if (is_active_sidebar('footer-1')) : ?>
                <?php dynamic_sidebar('footer-1'); ?>
              <?php else : ?>
                <aside id="calendar" class="widget py-3" role="complementary" aria-label="<?php esc_attr_e('calendar', 'painting-company'); ?>">
                  <h3 class="widget-title"><?php esc_html_e('Calendar', 'painting-company'); ?></h3>
                  <?php the_widget('WP_Widget_Calendar'); ?>
                </aside>
              <?php endif; ?>
            </div>

            <!-- Footer 2 -->
            <div class="<?php echo is_active_sidebar('footer-2') ? 'col-lg-3 col-md-6 col-12' : 'col-lg-3 col-md-6 col-12'; ?> footer-block">
              <?php if (is_active_sidebar('footer-2')) : ?>
                <?php dynamic_sidebar('footer-2'); ?>
              <?php else : ?>
                <aside id="meta" class="widget py-3" role="complementary">
                  <h3 class="widget-title"><?php esc_html_e('Meta', 'painting-company'); ?></h3>
                  <ul>
                    <?php wp_register(); ?>
                    <li><?php wp_loginout(); ?></li>
                    <?php wp_meta(); ?>
                  </ul>
                </aside>
              <?php endif; ?>
            </div>

            <!-- Footer 3 -->
            <div class="<?php echo is_active_sidebar('footer-3') ? 'col-lg-3 col-md-6 col-12' : 'col-lg-3 col-md-6 col-12'; ?> footer-block">
              <?php if (is_active_sidebar('footer-3')) : ?>
                <?php dynamic_sidebar('footer-3'); ?>
              <?php else : ?>
                <aside id="categories" class="widget py-3" role="complementary">
                  <h3 class="widget-title"><?php esc_html_e('Categories', 'painting-company'); ?></h3>
                  <ul>
                    <?php wp_list_categories('title_li='); ?>
                  </ul>
                </aside>
              <?php endif; ?>
            </div>

            <!-- Footer 4 -->
            <div class="<?php echo is_active_sidebar('footer-4') ? 'col-lg-3 col-md-6 col-12' : 'col-lg-3 col-md-6 col-12'; ?> footer-block">
              <?php if (is_active_sidebar('footer-4')) : ?>
                <?php dynamic_sidebar('footer-4'); ?>
              <?php else : ?>
                <aside id="search-widget" class="widget py-3" role="complementary" aria-label="<?php esc_attr_e('search-widget', 'painting-company'); ?>">
                  <h3 class="widget-title"><?php esc_html_e('Search', 'painting-company'); ?></h3>
                  <?php the_widget('WP_Widget_Search'); ?>
                </aside>
              <?php endif; ?>
            </div>
          </div> 
          </div>
        </div>
    <?php } ?>
    <div class="clear"></div>
  <div class="copywrap text-center">
    <div class="container">
      <p><?php echo esc_html(get_theme_mod('painting_company_copyright_line',__('Painting Company WordPress Theme','painting-company'))); ?> <?php echo esc_html('By Classic Templates','painting-company'); ?></p>
    </div>
  </div>
</div>

<?php if(get_theme_mod('painting_company_scroll_hide',true)){ ?>
 <a id="button"><?php esc_html_e('TOP', 'painting-company'); ?></a>
<?php } ?>
  
<?php wp_footer(); ?>
</body>
</html>
