<?php
/**
 * @package Painting Company
 * Setup the WordPress core custom header feature.
 *
 * @uses painting_company_header_style()
 */
function painting_company_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'painting_company_custom_header_args', array(
		'default-text-color'     => 'fff',
		'width'                  => 2500,
		'height'                 => 400,
		'wp-head-callback'       => 'painting_company_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'painting_company_custom_header_setup' );

if ( ! function_exists( 'painting_company_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see painting_company_custom_header_setup().
 */
function painting_company_header_style() {
	$painting_company_header_text_color = get_header_textcolor();

	?>
	<style type="text/css">
	<?php
		//Check if user has defined any header image.
		if ( get_header_image() || get_header_textcolor() ) :
	?>
		.page-template-template-home-page .main-header .header-sec, .main-header{
			background: url(<?php echo esc_url( get_header_image() ); ?>) no-repeat !important;
			background-position: center top;
			background-size: cover !important;
		}

	<?php endif; ?>	

	h1.site-title a, p.site-title a{
		color: <?php echo esc_attr(get_theme_mod('painting_company_sitetitle_color')); ?> !important;
	}

	.site-description{
		color: <?php echo esc_attr(get_theme_mod('painting_company_sitetagline_color')); ?> !important;
	}

	.main-nav ul li a {
		color: <?php echo esc_attr(get_theme_mod('painting_company_menu_color')); ?> !important;
	}

	.main-nav a:hover{
		color: <?php echo esc_attr(get_theme_mod('painting_company_menuhrv_color')); ?> !important;
	}

	.main-nav ul ul a{
		color: <?php echo esc_attr(get_theme_mod('painting_company_submenu_color')); ?> !important;
	}

	.main-nav ul ul a:hover {
		color: <?php echo esc_attr(get_theme_mod('painting_company_submenuhrv_color')); ?> !important;
	}

	.copywrap p {
		color: <?php echo esc_attr(get_theme_mod('painting_company_footercoypright_color')); ?> !important;
	}
	#footer .ftr-4-box h5 {
		color: <?php echo esc_attr(get_theme_mod('painting_company_footertitle_color')); ?> !important;

	}
	#footer p {
		color: <?php echo esc_attr(get_theme_mod('painting_company_footerdescription_color')); ?>;
	}
	#footer ul li a {
		color: <?php echo esc_attr(get_theme_mod('painting_company_footerlist_color')); ?>;

	}
	#footer {
		background-color: <?php echo esc_attr(get_theme_mod('painting_company_footerbg_color')); ?>;
	}
	

	</style>
	<?php 
}
endif;